/**
 * Provides the classes to manage the information of MD system (residue, segment, box). <br>
 * The classes in this package manage the following information:
 * <blockquote>
 * <ol>
 *    <li> Box: Box size and angles, and symmetry group (i.e., the information of CRYST1). </li>
 *    <li> Residue: name, ID, and list of atoms. </li>
 *    <li> Segment: name and list of residues. </li>
 * </ol>
 * </blockquote>
 * I/O sets for PDB and other formats are also provided. 
 * 
 * @author Kiyoshi Yagi
 * @version 1.0
 * @since Sindo 3.6
 * 
 */
package md;
